package ${basePackage}.module.system.ent;

import ${basePackage}.frame.base.BaseEntity;

/**
 * SEQUENCE - 序列
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2020-06-25
 */
public class Sequence extends BaseEntity {

    /**
     * SEQ_NAME - 序列名称
     */
    private String seqName;
    /**
     * SEQ_NOTE - 序列备注
     */
    private String seqNote;
    /**
     * YEAR - 年
     */
    private String year;
    /**
     * MONTH - 月
     */
    private String month;
    /**
     * DATE - 日
     */
    private String date;
    /**
     * NEXT_VALUE - 下一个值
     */
    private Integer nextValue;

    public String getSeqName() {
        return this.seqName;
    }

    public void setSeqName(String seqName) {
        this.seqName = seqName;
    }

    public String getSeqNote() {
        return this.seqNote;
    }

    public void setSeqNote(String seqNote) {
        this.seqNote = seqNote;
    }

    public String getYear() {
        return this.year;
    }

    public void setYear(String year) {
        this.year = year;
    }

    public String getMonth() {
        return this.month;
    }

    public void setMonth(String month) {
        this.month = month;
    }

    public String getDate() {
        return this.date;
    }

    public void setDate(String date) {
        this.date = date;
    }

    public Integer getNextValue() {
        return this.nextValue;
    }

    public void setNextValue(Integer nextValue) {
        this.nextValue = nextValue;
    }
}